org.apache.ignite.internal.processors.cache

## Class CacheEntryImpl<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheEntryImpl<K,V>

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.Cache.Entry<K,V>

Direct Known Subclasses:
  CacheVersionedEntryImpl

    public class CacheEntryImpl<K,V>
    extends Object
    implements javax.cache.Cache.Entry<K,V>, Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheEntryImpl()` Required by `Externalizable`.
`CacheEntryImpl(K key, V val)`

### Method Summary

Methods
`K` `getKey()`
`V` `getValue()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`<T> T` `unwrap(Class<T> cls)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheEntryImpl

    public CacheEntryImpl()

Required by `Externalizable`.

#### CacheEntryImpl

    public CacheEntryImpl(K key,
                  V val)

Parameters:
  `key` - Key.
  `val` - Value.

### Method Detail

#### getKey

    public K getKey()

Specified by:
  `getKey` in interface `javax.cache.Cache.Entry<K,V>`

#### getValue

    public V getValue()

Specified by:
  `getValue` in interface `javax.cache.Cache.Entry<K,V>`

#### unwrap

    public <T> T unwrap(Class<T> cls)

Specified by:
  `unwrap` in interface `javax.cache.Cache.Entry<K,V>`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015